Bug 1255976 - [abrt] tracker: g_slice_alloc(): tracker-miner-fs killed by SIGSEGV
[abrt] tracker: g_slice_alloc(): tracker-miner-fs killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a990bd9484cfa972cd7449d046e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-22 14:26 EDT by Jan Vlug
Modified: 2016-07-07 05:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:07:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.93 KB, text/plain)
2015-08-22 14:27 EDT, Jan Vlug
no flags Details
File: cgroup (189 bytes, text/plain)
2015-08-22 14:27 EDT, Jan Vlug
no flags Details
File: core_backtrace (10.34 KB, text/plain)
2015-08-22 14:27 EDT, Jan Vlug
no flags Details
File: dso_list (5.66 KB, text/plain)
2015-08-22 14:27 EDT, Jan Vlug
no flags Details
File: environ (1.81 KB, text/plain)
2015-08-22 14:27 EDT, Jan Vlug
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-22 14:27 EDT, Jan Vlug
no flags Details
File: maps (29.87 KB, text/plain)
2015-08-22 14:27 EDT, Jan Vlug
no flags Details
File: mountinfo (3.34 KB, text/plain)
2015-08-22 14:27 EDT, Jan Vlug
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-22 14:27 EDT, Jan Vlug
no flags Details
File: open_fds (322.57 KB, text/plain)
2015-08-22 14:27 EDT, Jan Vlug
no flags Details
File: proc_pid_status (1009 bytes, text/plain)
2015-08-22 14:27 EDT, Jan Vlug
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-08-22 14:27 EDT, Jan Vlug
no flags Details

  None (edit)
Description Jan Vlug 2015-08-22 14:26:57 EDT
Version-Release number of selected component:
tracker-1.4.1-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: g_slice_alloc
executable:     /usr/libexec/tracker-miner-fs
global_pid:     2404
kernel:         4.1.5-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_slice_alloc at /lib64/libglib-2.0.so.0
 #1 g_list_append at /lib64/libglib-2.0.so.0
 #2 tracker_sparql_pattern_parse_property_list_not_empty at /usr/lib64/tracker-1.0/libtracker-data.so.0
 #3 tracker_sparql_pattern_parse_triples at /usr/lib64/tracker-1.0/libtracker-data.so.0
 #4 tracker_sparql_pattern_translate_group_graph_pattern at /usr/lib64/tracker-1.0/libtracker-data.so.0
 #5 tracker_sparql_pattern_translate_select at /usr/lib64/tracker-1.0/libtracker-data.so.0
 #6 tracker_sparql_query_execute_cursor at /usr/lib64/tracker-1.0/libtracker-data.so.0
 #7 tracker_direct_connection_query_unlocked.isra at /lib64/libtracker-sparql-1.0.so.0
 #8 tracker_direct_connection_real_query at /lib64/libtracker-sparql-1.0.so.0
 #9 tracker_sparql_backend_real_query at /lib64/libtracker-sparql-1.0.so.0
Comment 1 Jan Vlug 2015-08-22 14:27:00 EDT
Created attachment 1065858 [details]
File: backtrace
Comment 2 Jan Vlug 2015-08-22 14:27:01 EDT
Created attachment 1065859 [details]
File: cgroup
Comment 3 Jan Vlug 2015-08-22 14:27:03 EDT
Created attachment 1065860 [details]
File: core_backtrace
Comment 4 Jan Vlug 2015-08-22 14:27:04 EDT
Created attachment 1065861 [details]
File: dso_list
Comment 5 Jan Vlug 2015-08-22 14:27:05 EDT
Created attachment 1065862 [details]
File: environ
Comment 6 Jan Vlug 2015-08-22 14:27:06 EDT
Created attachment 1065863 [details]
File: limits
Comment 7 Jan Vlug 2015-08-22 14:27:07 EDT
Created attachment 1065864 [details]
File: maps
Comment 8 Jan Vlug 2015-08-22 14:27:08 EDT
Created attachment 1065865 [details]
File: mountinfo
Comment 9 Jan Vlug 2015-08-22 14:27:09 EDT
Created attachment 1065866 [details]
File: namespaces
Comment 10 Jan Vlug 2015-08-22 14:27:12 EDT
Created attachment 1065867 [details]
File: open_fds
Comment 11 Jan Vlug 2015-08-22 14:27:13 EDT
Created attachment 1065868 [details]
File: proc_pid_status
Comment 12 Jan Vlug 2015-08-22 14:27:14 EDT
Created attachment 1065869 [details]
File: var_log_messages
Comment 13 Hin-Tak Leung 2015-10-21 21:39:31 EDT
This looks close enough. I had a crash on Aug 10 with tracker-1.4.1-1.fc22.x86_64 , and the backtrace was:

(gdb) bt
#0  0x0000003a48066e3a in g_slice_alloc () at /lib64/libglib-2.0.so.0
#1  0x0000003a4806736e in g_slice_alloc0 () at /lib64/libglib-2.0.so.0
#2  0x0000003a49013c07 in g_object_notify_queue_freeze () at /lib64/libgobject-2.0.so.0
#3  0x0000003a49013cd4 in g_object_init () at /lib64/libgobject-2.0.so.0
#4  0x0000003a49032527 in g_type_create_instance () at /lib64/libgobject-2.0.so.0
#5  0x0000003a490150ab in g_object_new_internal () at /lib64/libgobject-2.0.so.0
#6  0x0000003a49016991 in g_object_newv () at /lib64/libgobject-2.0.so.0
#7  0x0000003a490172c4 in g_object_new () at /lib64/libgobject-2.0.so.0
#8  0x0000003a5562b0c6 in tracker_sparql_pattern_parse_property_list_not_empty ()
    at /usr/lib64/tracker-1.0/libtracker-data.so.0
#9  0x0000003a5562dac1 in tracker_sparql_pattern_parse_triples () at /usr/lib64/tracker-1.0/libtracker-data.so.0
#10 0x00007f4c677fda20 in  ()
#11 0x00007f4c677fda40 in  ()
#12 0x0000003a5563e732 in tracker_source_location_dup () at /usr/lib64/tracker-1.0/libtracker-data.so.0
#13 0x00007f4c677fda20 in  ()
#14 0x00007f4c5c0babb0 in  ()
#15 0x0000000000000000 in  ()
(gdb)
Comment 14 Igor Gnatenko 2016-07-07 05:07:26 EDT
This is very old bug, if you still can reproduce it - please reopen.

Note You need to log in before you can comment on or make changes to this bug.